PlanewardPlaneward Docs
PlanewardPlaneward Docs
Welcome

Developers

REST APIAuthenticationWebhooksMCPEmbedded projectsTask description contentDeveloper hub

API

List pipelines GETCreate a pipeline POSTGet a pipeline GETRename a pipeline PATCHDelete a pipeline DELETEList stages in a pipeline GETCreate a stage POSTUpdate a stage PATCHDelete a stage DELETE
Pipelines

Delete a pipeline

DELETE
/pipelines/{pipelineId}

Authorization

x-api-key<token>

In: header

Path Parameters

pipelineId*string

Response Body

application/json

curl -X DELETE "https://example.com/pipelines/string"
{  "data": {    "id": "string",    "workspaceId": "string",    "name": "string",    "stages": [      {        "id": "string",        "pipelineId": "string",        "name": "string",        "color": "string",        "type": "OPEN",        "isNurture": true,        "rank": "string"      }    ]  }}

Rename a pipeline PATCH

Previous Page

List stages in a pipeline GET

Next Page